// Add env vars from files
// Note: actual env vars supersede .env file and .env file supersedes .env.defaults file
import { config } from 'dotenv-defaults'
import { logger } from './logger.js'
import { createApp } from './createApp.js'
import express from 'express'

config()

const root = express()
const app = createApp()

// Binds and listens for connections on the specified host and port
root.listen(process.env.PORT, () => {
  logger.info(`manifest-service listening on port ${process.env.PORT}`)
})

process.on('uncaughtException', err => {
  logger.error(err, 'uncaughtException')
  process.exit(1)
})

process.on('unhandledRejection', err => {
  logger.error(err, 'unhandledRejection')
  process.exit(1)
})

root.use(process.env.APP_ROOT, app)
